Package org.duckdb

## Class DuckDBNative

- java.lang.Object
- - org.duckdb.DuckDBNative

    public class DuckDBNative
    extends java.lang.Object

### Constructor Summary

Constructors
`DuckDBNative()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static void` `duckdb_jdbc_appender_append_boolean​(java.nio.ByteBuffer appender_ref, boolean value)`
`protected static void` `duckdb_jdbc_appender_append_byte​(java.nio.ByteBuffer appender_ref, byte value)`
`protected static void` `duckdb_jdbc_appender_append_double​(java.nio.ByteBuffer appender_ref, double value)`
`protected static void` `duckdb_jdbc_appender_append_float​(java.nio.ByteBuffer appender_ref, float value)`
`protected static void` `duckdb_jdbc_appender_append_int​(java.nio.ByteBuffer appender_ref, int value)`
`protected static void` `duckdb_jdbc_appender_append_long​(java.nio.ByteBuffer appender_ref, long value)`
`protected static void` `duckdb_jdbc_appender_append_null​(java.nio.ByteBuffer appender_ref)`
`protected static void` `duckdb_jdbc_appender_append_short​(java.nio.ByteBuffer appender_ref, short value)`
`protected static void` `duckdb_jdbc_appender_append_string​(java.nio.ByteBuffer appender_ref, byte[] value)`
`protected static void` `duckdb_jdbc_appender_begin_row​(java.nio.ByteBuffer appender_ref)`
`protected static void` `duckdb_jdbc_appender_close​(java.nio.ByteBuffer appender_ref)`
`protected static void` `duckdb_jdbc_appender_end_row​(java.nio.ByteBuffer appender_ref)`
`protected static void` `duckdb_jdbc_appender_flush​(java.nio.ByteBuffer appender_ref)`
`protected static void` `duckdb_jdbc_arrow_register​(java.nio.ByteBuffer conn_ref, long arrow_array_stream_pointer, byte[] name)`
`protected static long` `duckdb_jdbc_arrow_stream​(java.nio.ByteBuffer res_ref, long batch_size)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_connect​(java.nio.ByteBuffer db_ref)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_create_appender​(java.nio.ByteBuffer conn_ref, byte[] schema_name, byte[] table_name)`
`protected static void` `duckdb_jdbc_create_extension_type​(java.nio.ByteBuffer conn_ref)`
`static void` `duckdb_jdbc_create_extension_type​(DuckDBConnection conn)`
`protected static void` `duckdb_jdbc_disconnect​(java.nio.ByteBuffer conn_ref)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_execute​(java.nio.ByteBuffer stmt_ref, java.lang.Object[] params)`
`protected static org.duckdb.DuckDBVector[]` `duckdb_jdbc_fetch​(java.nio.ByteBuffer res_ref, java.nio.ByteBuffer conn_ref)`
`protected static int` `duckdb_jdbc_fetch_size()`
`protected static void` `duckdb_jdbc_free_result​(java.nio.ByteBuffer res_ref)`
`protected static boolean` `duckdb_jdbc_get_auto_commit​(java.nio.ByteBuffer conn_ref)`
`protected static java.lang.String` `duckdb_jdbc_get_catalog​(java.nio.ByteBuffer conn_ref)`
`protected static java.lang.String` `duckdb_jdbc_get_schema​(java.nio.ByteBuffer conn_ref)`
`protected static void` `duckdb_jdbc_interrupt​(java.nio.ByteBuffer conn_ref)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_prepare​(java.nio.ByteBuffer conn_ref, byte[] query)`
`protected static DuckDBResultSetMetaData` `duckdb_jdbc_prepared_statement_meta​(java.nio.ByteBuffer stmt_ref)`
`protected static DuckDBResultSetMetaData` `duckdb_jdbc_query_result_meta​(java.nio.ByteBuffer result_ref)`
`protected static void` `duckdb_jdbc_release​(java.nio.ByteBuffer stmt_ref)`
`protected static void` `duckdb_jdbc_set_auto_commit​(java.nio.ByteBuffer conn_ref, boolean auto_commit)`
`protected static void` `duckdb_jdbc_set_catalog​(java.nio.ByteBuffer conn_ref, java.lang.String catalog)`
`protected static void` `duckdb_jdbc_set_schema​(java.nio.ByteBuffer conn_ref, java.lang.String schema)`
`protected static java.nio.ByteBuffer` `duckdb_jdbc_startup​(byte[] path, boolean read_only, java.util.Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DuckDBNative

    public DuckDBNative()

### Method Detail

#### duckdb_jdbc_startup

    protected static java.nio.ByteBuffer duckdb_jdbc_startup​(byte[] path,
                                                             boolean read_only,
                                                             java.util.Properties props)
                                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_connect

    protected static java.nio.ByteBuffer duckdb_jdbc_connect​(java.nio.ByteBuffer db_ref)
                                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_set_auto_commit

    protected static void duckdb_jdbc_set_auto_commit​(java.nio.ByteBuffer conn_ref,
                                                      boolean auto_commit)
                                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_get_auto_commit

    protected static boolean duckdb_jdbc_get_auto_commit​(java.nio.ByteBuffer conn_ref)
                                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_disconnect

    protected static void duckdb_jdbc_disconnect​(java.nio.ByteBuffer conn_ref)

#### duckdb_jdbc_set_schema

    protected static void duckdb_jdbc_set_schema​(java.nio.ByteBuffer conn_ref,
                                                 java.lang.String schema)

#### duckdb_jdbc_set_catalog

    protected static void duckdb_jdbc_set_catalog​(java.nio.ByteBuffer conn_ref,
                                                  java.lang.String catalog)

#### duckdb_jdbc_get_schema

    protected static java.lang.String duckdb_jdbc_get_schema​(java.nio.ByteBuffer conn_ref)

#### duckdb_jdbc_get_catalog

    protected static java.lang.String duckdb_jdbc_get_catalog​(java.nio.ByteBuffer conn_ref)

#### duckdb_jdbc_prepare

    protected static java.nio.ByteBuffer duckdb_jdbc_prepare​(java.nio.ByteBuffer conn_ref,
                                                             byte[] query)
                                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_release

    protected static void duckdb_jdbc_release​(java.nio.ByteBuffer stmt_ref)

#### duckdb_jdbc_query_result_meta

    protected static DuckDBResultSetMetaData duckdb_jdbc_query_result_meta​(java.nio.ByteBuffer result_ref)
                                                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_prepared_statement_meta

    protected static DuckDBResultSetMetaData duckdb_jdbc_prepared_statement_meta​(java.nio.ByteBuffer stmt_ref)
                                                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_execute

    protected static java.nio.ByteBuffer duckdb_jdbc_execute​(java.nio.ByteBuffer stmt_ref,
                                                             java.lang.Object[] params)
                                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_free_result

    protected static void duckdb_jdbc_free_result​(java.nio.ByteBuffer res_ref)

#### duckdb_jdbc_fetch

    protected static org.duckdb.DuckDBVector[] duckdb_jdbc_fetch​(java.nio.ByteBuffer res_ref,
                                                                 java.nio.ByteBuffer conn_ref)
                                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_fetch_size

    protected static int duckdb_jdbc_fetch_size()

#### duckdb_jdbc_arrow_stream

    protected static long duckdb_jdbc_arrow_stream​(java.nio.ByteBuffer res_ref,
                                                   long batch_size)

#### duckdb_jdbc_arrow_register

    protected static void duckdb_jdbc_arrow_register​(java.nio.ByteBuffer conn_ref,
                                                     long arrow_array_stream_pointer,
                                                     byte[] name)

#### duckdb_jdbc_create_appender

    protected static java.nio.ByteBuffer duckdb_jdbc_create_appender​(java.nio.ByteBuffer conn_ref,
                                                                     byte[] schema_name,
                                                                     byte[] table_name)
                                                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_begin_row

    protected static void duckdb_jdbc_appender_begin_row​(java.nio.ByteBuffer appender_ref)
                                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_end_row

    protected static void duckdb_jdbc_appender_end_row​(java.nio.ByteBuffer appender_ref)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_flush

    protected static void duckdb_jdbc_appender_flush​(java.nio.ByteBuffer appender_ref)
                                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_interrupt

    protected static void duckdb_jdbc_interrupt​(java.nio.ByteBuffer conn_ref)

#### duckdb_jdbc_appender_close

    protected static void duckdb_jdbc_appender_close​(java.nio.ByteBuffer appender_ref)
                                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_boolean

    protected static void duckdb_jdbc_appender_append_boolean​(java.nio.ByteBuffer appender_ref,
                                                              boolean value)
                                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_byte

    protected static void duckdb_jdbc_appender_append_byte​(java.nio.ByteBuffer appender_ref,
                                                           byte value)
                                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_short

    protected static void duckdb_jdbc_appender_append_short​(java.nio.ByteBuffer appender_ref,
                                                            short value)
                                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_int

    protected static void duckdb_jdbc_appender_append_int​(java.nio.ByteBuffer appender_ref,
                                                          int value)
                                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_long

    protected static void duckdb_jdbc_appender_append_long​(java.nio.ByteBuffer appender_ref,
                                                           long value)
                                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_float

    protected static void duckdb_jdbc_appender_append_float​(java.nio.ByteBuffer appender_ref,
                                                            float value)
                                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_double

    protected static void duckdb_jdbc_appender_append_double​(java.nio.ByteBuffer appender_ref,
                                                             double value)
                                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_string

    protected static void duckdb_jdbc_appender_append_string​(java.nio.ByteBuffer appender_ref,
                                                             byte[] value)
                                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_appender_append_null

    protected static void duckdb_jdbc_appender_append_null​(java.nio.ByteBuffer appender_ref)
                                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_create_extension_type

    protected static void duckdb_jdbc_create_extension_type​(java.nio.ByteBuffer conn_ref)
                                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### duckdb_jdbc_create_extension_type

    public static void duckdb_jdbc_create_extension_type​(DuckDBConnection conn)
                                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`